diff --git a/arch/arm64/boot/dts/renesas/salvator-common.dtsi b/arch/arm64/boot/dts/renesas/salvator-common.dtsi
index 7d3d866..06c20ba 100644
--- a/arch/arm64/boot/dts/renesas/salvator-common.dtsi
+++ b/arch/arm64/boot/dts/renesas/salvator-common.dtsi
@@ -69,7 +69,6 @@

                port {
                        cvbs_con: endpoint {
-                               remote-endpoint = <&adv7482_ain7>;
                        };
                };
        };
@@ -430,14 +429,6 @@
                interrupts = <30 IRQ_TYPE_LEVEL_LOW>,
                             <31 IRQ_TYPE_LEVEL_LOW>;

-               port@7 {
-                       reg = <7>;
-
-                       adv7482_ain7: endpoint {
-                               remote-endpoint = <&cvbs_con>;
-                       };
-               };
-
                port@8 {
                        reg = <8>;


-------------------------- TARGET ---------------------------------------------
[root@alarm ~]# media-ctl -p -d /dev/media2
...
- entity 7: adv748x 4-0070 txa (2 pads, 2 links)
            type V4L2 subdev subtype Unknown flags 0
            device node name /dev/v4l-subdev21
        pad0: Sink
                [fmt:unknown/0x0]
                <- "adv748x 4-0070 hdmi":1 [ENABLED,IMMUTABLE]
        pad1: Source
                [fmt:unknown/0x0]
                -> "rcar_csi2 feaa0000.csi2":0 [ENABLED,IMMUTABLE]

- entity 10: adv748x 4-0070 hdmi (2 pads, 1 link)
             type V4L2 subdev subtype Unknown flags 0
             device node name /dev/v4l-subdev20
        pad0: Sink
                [dv.caps:BT.656/1120 min:640x480@13000000 max:1920x1200@162000000 stds:CEA-861,DMT caps:progressive]
        pad1: Source
                [fmt:RGB888_1X24/1280x720 field:none colorspace:srgb]
                [dv.caps:BT.656/1120 min:640x480@13000000 max:1920x1200@162000000 stds:CEA-861,DMT caps:progressive]
                [dv.query:no-link]
                [dv.current:BT.656/1120 1280x720p30 (3300x750) stds:CEA-861 flags:can-reduce-fps,CE-video,has-cea861-vic]
                -> "adv748x 4-0070 txa":0 [ENABLED,IMMUTABLE]

- entity 23: adv748x 4-0070 txb (2 pads, 1 link)
             type V4L2 subdev subtype Unknown flags 0
             device node name /dev/v4l-subdev23
        pad0: Sink
                [fmt:unknown/0x0]
        pad1: Source
                [fmt:unknown/0x0]
                -> "rcar_csi2 fea80000.csi2":0 [ENABLED,IMMUTABLE]
...

2) TXB not registered (Ebisu use case)
----------------------------- HOST --------------------------------------------
$git diff
diff --git a/arch/arm64/boot/dts/renesas/salvator-common.dtsi b/arch/arm64/boot/dts/renesas/salvator-common.dtsi
index 7d3d866..3123633 100644
--- a/arch/arm64/boot/dts/renesas/salvator-common.dtsi
+++ b/arch/arm64/boot/dts/renesas/salvator-common.dtsi
@@ -281,7 +281,7 @@
 };

 &csi20 {
-       status = "okay";
+       status = "disabled";

        ports {
                port@0 {
@@ -289,7 +289,6 @@
                        csi20_in: endpoint {
                                clock-lanes = <0>;
                                data-lanes = <1>;
-                               remote-endpoint = <&adv7482_txb>;
                        };
                };
        };
@@ -455,16 +454,6 @@
                                remote-endpoint = <&csi40_in>;
                        };
                };
-
-               port@b {
-                       reg = <11>;
-
-                       adv7482_txb: endpoint {
-                               clock-lanes = <0>;
-                               data-lanes = <1>;
-                               remote-endpoint = <&csi20_in>;
-                       };
-               };
        };
 };

-------------------------- TARGET ---------------------------------------------
[root@alarm ~]# media-ctl -p -d /dev/media2
...
- entity 7: adv748x 4-0070 txa (2 pads, 2 links)
            type V4L2 subdev subtype Unknown flags 0
            device node name /dev/v4l-subdev22
        pad0: Sink
                [fmt:unknown/0x0]
                <- "adv748x 4-0070 hdmi":1 [ENABLED,IMMUTABLE]
        pad1: Source
                [fmt:unknown/0x0]
                -> "rcar_csi2 feaa0000.csi2":0 [ENABLED,IMMUTABLE]

- entity 10: adv748x 4-0070 hdmi (2 pads, 1 link)
             type V4L2 subdev subtype Unknown flags 0
             device node name /dev/v4l-subdev20
        pad0: Sink
                [dv.caps:BT.656/1120 min:640x480@13000000 max:1920x1200@162000000 stds:CEA-861,DMT caps:progressive]
        pad1: Source
                [fmt:RGB888_1X24/1280x720 field:none colorspace:srgb]
                [dv.caps:BT.656/1120 min:640x480@13000000 max:1920x1200@162000000 stds:CEA-861,DMT caps:progressive]
                [dv.query:no-link]
                [dv.current:BT.656/1120 1280x720p30 (3300x750) stds:CEA-861 flags:can-reduce-fps,CE-video,has-cea861-vic]
                -> "adv748x 4-0070 txa":0 [ENABLED,IMMUTABLE]

- entity 13: adv748x 4-0070 afe (9 pads, 0 link)
             type V4L2 subdev subtype Decoder flags 0
             device node name /dev/v4l-subdev21
        pad0: Sink
        pad1: Sink
        pad2: Sink
        pad3: Sink
        pad4: Sink
        pad5: Sink
        pad6: Sink
        pad7: Sink
        pad8: Source
                [fmt:UYVY8_2X8/720x240 field:alternate colorspace:smpte170m]
...

3) AFE and TXB not registered
----------------------------- HOST --------------------------------------------
$git diff
diff --git a/arch/arm64/boot/dts/renesas/salvator-common.dtsi b/arch/arm64/boot/dts/renesas/salvator-common.dtsi
index 7d3d866..9f1b079 100644
--- a/arch/arm64/boot/dts/renesas/salvator-common.dtsi
+++ b/arch/arm64/boot/dts/renesas/salvator-common.dtsi
@@ -69,7 +69,6 @@

                port {
                        cvbs_con: endpoint {
-                               remote-endpoint = <&adv7482_ain7>;
                        };
                };
        };
@@ -281,7 +280,7 @@
 };

 &csi20 {
-       status = "okay";
+       status = "disabled";

        ports {
                port@0 {
@@ -289,7 +288,6 @@
                        csi20_in: endpoint {
                                clock-lanes = <0>;
                                data-lanes = <1>;
-                               remote-endpoint = <&adv7482_txb>;
                        };
                };
        };
@@ -430,14 +428,6 @@
                interrupts = <30 IRQ_TYPE_LEVEL_LOW>,
                             <31 IRQ_TYPE_LEVEL_LOW>;

-               port@7 {
-                       reg = <7>;
-
-                       adv7482_ain7: endpoint {
-                               remote-endpoint = <&cvbs_con>;
-                       };
-               };
-
                port@8 {
                        reg = <8>;

@@ -455,16 +445,6 @@
                                remote-endpoint = <&csi40_in>;
                        };
                };
-
-               port@b {
-                       reg = <11>;
-
-                       adv7482_txb: endpoint {
-                               clock-lanes = <0>;
-                               data-lanes = <1>;
-                               remote-endpoint = <&csi20_in>;
-                       };
-               };
        };
 };